<cfcomponent
	displayname="ContactFormBean"
	output="false"
	hint="A bean which models the ContactFormBean form.">


	<!---
	PROPERTIES
	--->
	<cfset variables.instance = StructNew() />

	<!---
	INITIALIZATION / CONFIGURATION
	--->
	<cffunction name="init" access="public" returntype="ContactManagerMG.model.ContactFormBean" output="false">
		<cfargument name="ContactID" type="string" required="false" default="" />
		<cfargument name="ContactName" type="string" required="false" default="" />
		<cfargument name="ContactType" type="string" required="false" default="" />

		<!--- run setters --->
		<cfset setContactID(arguments.ContactID) />
		<cfset setContactName(arguments.ContactName) />
		<cfset setContactType(arguments.ContactType) />

		<cfreturn this />
 	</cffunction>

	<!---
	PUBLIC FUNCTIONS
	--->	<cffunction name="getMemento" access="public"returntype="struct" output="false" >
		<cfreturn variables.instance />
	</cffunction>

	<cffunction name="validate" access="public" returntype="errorHandler" output="false">
	</cffunction>

	<!---
	ACCESSORS
	--->
	<cffunction name="setContactID" access="public" returntype="void" output="false">
		<cfargument name="ContactID" type="string" required="true" />
		<cfset variables.instance.ContactID = arguments.ContactID />
	</cffunction>
	<cffunction name="getContactID" access="public" returntype="string" output="false">
		<cfreturn variables.instance.ContactID />
	</cffunction>

	<cffunction name="setContactName" access="public" returntype="void" output="false">
		<cfargument name="ContactName" type="string" required="true" />
		<cfset variables.instance.ContactName = arguments.ContactName />
	</cffunction>
	<cffunction name="getContactName" access="public" returntype="string" output="false">
		<cfreturn variables.instance.ContactName />
	</cffunction>

	<cffunction name="setContactType" access="public" returntype="void" output="false">
		<cfargument name="ContactType" type="string" required="true" />
		<cfset variables.instance.ContactType = arguments.ContactType />
	</cffunction>
	<cffunction name="getContactType" access="public" returntype="string" output="false">
		<cfreturn variables.instance.ContactType />
	</cffunction>

</cfcomponent>